﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;


namespace EduNetworkBuilder
{
    [Serializable]
    public class VLANName
    {
        public int _ID;
        [DisplayName("ID")]
        public int ID { get { return _ID; } set { _ID = value; } }

        public string _Name;

        [DisplayName("Name")]
        public string Name { get { return _Name; } set { _Name = value; } }

        public VLANName()
        {
        }

        public VLANName(int id, string name)
        {
            ID = id;
            Name = name;
        }
    }

    [Serializable]
    public class VLANInfo
    {
        public int _ID;
        [DisplayName("ID")]
        public int ID { get { return _ID; } set { _ID = value; } }

        public VLANTagType _Tag;

        [DisplayName("Tag")]
        public VLANTagType Tag { get { return _Tag; } set { _Tag = value; } }

        public VLANInfo()
        {
        }

        public VLANInfo(int id, VLANTagType tag)
        {
            ID = id;
            Tag = tag;
        }
    }
}
